diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 9327ed5e1c..590312dc2d 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -39865,13 +40067,13 @@ (define-public rust-quote-0.6
     (name "rust-quote")
     (version "0.6.13")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "quote" version))
-        (file-name (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1qgqq48jymp5h4y082aanf25hrw6bpb678xh3zw993qfhxmkpqkc"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "quote" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1qgqq48jymp5h4y082aanf25hrw6bpb678xh3zw993qfhxmkpqkc"))))
     (arguments
      `(#:cargo-inputs (("rust-proc-macro2" ,rust-proc-macro2-0.4))))))
 
@@ -39881,14 +40083,14 @@ (define-public rust-quote-0.5
     (name "rust-quote")
     (version "0.5.2")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "quote" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1s01fh0jl8qv4xggs85yahw0h507nzrxkjbf7vay3zw8d3kcyjcr"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "quote" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1s01fh0jl8qv4xggs85yahw0h507nzrxkjbf7vay3zw8d3kcyjcr"))))
     (arguments
      `(#:cargo-inputs
        (("rust-proc-macro2" ,rust-proc-macro2-0.3))))))
@@ -40007,14 +40209,14 @@ (define-public rust-radium-0.5
     (name "rust-radium")
     (version "0.5.3")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "radium" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1f5vj5zy4kcsw8p87y976dm5pln6v6jfw5f0fkj7qbwfipbsj6wl"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "radium" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1f5vj5zy4kcsw8p87y976dm5pln6v6jfw5f0fkj7qbwfipbsj6wl"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-development-inputs
@@ -40135,13 +40337,13 @@ (define-public rust-rand-0.6
     (name "rust-rand")
     (version "0.6.5")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "rand" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "1jl4449jcl4wgmzld6ffwqj5gwxrp8zvx8w573g1z368qg6xlwbd"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "rand" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "1jl4449jcl4wgmzld6ffwqj5gwxrp8zvx8w573g1z368qg6xlwbd"))))
     (arguments
      `(#:cargo-inputs
        (("rust-libc" ,rust-libc-0.2)
@@ -40167,14 +40369,14 @@ (define-public rust-rand-0.5
     (name "rust-rand")
     (version "0.5.6")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "rand" version))
-        (file-name
-          (string-append name "-" version ".tar.gz"))
-        (sha256
-          (base32
-            "1fdcgja9167hlzkf4g5daqwp498lwiyq7aqm05whklpbsdyc8666"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "rand" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1fdcgja9167hlzkf4g5daqwp498lwiyq7aqm05whklpbsdyc8666"))))
     (arguments
      `(#:skip-build? #t
        #:cargo-inputs
@@ -40196,13 +40398,13 @@ (define-public rust-rand-0.4
     (name "rust-rand")
     (version "0.4.6")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "rand" version))
-        (file-name (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "14qjfv3gggzhnma20k0sc1jf8y6pplsaq7n1j9ls5c8kf2wl0a2m"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "rand" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "14qjfv3gggzhnma20k0sc1jf8y6pplsaq7n1j9ls5c8kf2wl0a2m"))))
     (arguments
      `(#:cargo-inputs
        (("rust-fuchsia-cprng" ,rust-fuchsia-cprng-0.1)
@@ -40217,13 +40419,13 @@ (define-public rust-rand-0.3
     (name "rust-rand")
     (version "0.3.23")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "rand" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "0v679h38pjjqj5h4md7v2slsvj6686qgcn7p9fbw3h43iwnk1b34"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "rand" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "0v679h38pjjqj5h4md7v2slsvj6686qgcn7p9fbw3h43iwnk1b34"))))
     (arguments
      `(#:cargo-inputs
        (("rust-libc" ,rust-libc-0.2)
@@ -40277,13 +40479,13 @@ (define-public rust-rand-chacha-0.1
     (name "rust-rand-chacha")
     (version "0.1.1")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "rand_chacha" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "1vxwyzs4fy1ffjc8l00fsyygpiss135irjf7nyxgq2v0lqf3lvam"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "rand_chacha" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "1vxwyzs4fy1ffjc8l00fsyygpiss135irjf7nyxgq2v0lqf3lvam"))))
     (arguments
      `(#:cargo-inputs
        (("rust-rand-core" ,rust-rand-core-0.3))
@@ -40339,13 +40541,13 @@ (define-public rust-rand-core-0.4
     (name "rust-rand-core")
     (version "0.4.2")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "rand_core" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "1p09ynysrq1vcdlmcqnapq4qakl2yd1ng3kxh3qscpx09k2a6cww"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "rand_core" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "1p09ynysrq1vcdlmcqnapq4qakl2yd1ng3kxh3qscpx09k2a6cww"))))
     (arguments
      `(#:cargo-inputs
        (("rust-serde" ,rust-serde-1)
@@ -40357,13 +40559,13 @@ (define-public rust-rand-core-0.3
     (name "rust-rand-core")
     (version "0.3.1")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "rand_core" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "0jzdgszfa4bliigiy4hi66k7fs3gfwi2qxn8vik84ph77fwdwvvs"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "rand_core" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "0jzdgszfa4bliigiy4hi66k7fs3gfwi2qxn8vik84ph77fwdwvvs"))))
     ;; This version is a 0.3 API wrapper around the 0.4 version.
     (arguments
      `(#:skip-build? #t
@@ -40375,14 +40577,14 @@ (define-public rust-rand-core-0.2
     (name "rust-rand-core")
     (version "0.2.2")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "rand-core" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0wikbw2a36bz8ywjyycjrd7db6ra3yzj14zs1ysxz2fiqhia8q8r"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "rand-core" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0wikbw2a36bz8ywjyycjrd7db6ra3yzj14zs1ysxz2fiqhia8q8r"))))
     (arguments
      `(#:skip-build? #t
        #:cargo-inputs
@@ -40455,14 +40657,14 @@ (define-public rust-rand-distr-0.2
     (name "rust-rand-distr")
     (version "0.2.2")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "rand-distr" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1cpz577qid09lirjjhhn98yqdwsv0c01jf973pxpcr9svp5pm5wn"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "rand-distr" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1cpz577qid09lirjjhhn98yqdwsv0c01jf973pxpcr9svp5pm5wn"))))
     (arguments
      `(#:cargo-inputs
        (("rust-rand" ,rust-rand-0.7))
@@ -40499,13 +40701,13 @@ (define-public rust-rand-hc-0.2
     (name "rust-rand-hc")
     (version "0.2.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "rand_hc" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "0g31sqwpmsirdlwr0svnacr4dbqyz339im4ssl9738cjgfpjjcfa"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "rand_hc" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "0g31sqwpmsirdlwr0svnacr4dbqyz339im4ssl9738cjgfpjjcfa"))))
     (arguments
      `(#:cargo-inputs
        (("rust-rand-hc" ,rust-rand-core-0.5))))))
@@ -40516,13 +40718,13 @@ (define-public rust-rand-hc-0.1
     (name "rust-rand-hc")
     (version "0.1.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "rand_hc" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "1i0vl8q5ddvvy0x8hf1zxny393miyzxkwqnw31ifg6p0gdy6fh3v"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "rand_hc" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "1i0vl8q5ddvvy0x8hf1zxny393miyzxkwqnw31ifg6p0gdy6fh3v"))))
     (arguments
      `(#:cargo-inputs (("rust-rand-core" ,rust-rand-core-0.3))))))
 
@@ -40585,13 +40787,13 @@ (define-public rust-rand-isaac-0.1
     (name "rust-rand-isaac")
     (version "0.1.1")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "rand_isaac" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "027flpjr4znx2csxk7gxb7vrf9c7y5mydmvg5az2afgisp4rgnfy"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "rand_isaac" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "027flpjr4znx2csxk7gxb7vrf9c7y5mydmvg5az2afgisp4rgnfy"))))
     (arguments
      `(#:cargo-inputs
        (("rust-rand-core" ,rust-rand-core-0.3)
@@ -40605,13 +40807,13 @@ (define-public rust-rand-jitter-0.1
     (name "rust-rand-jitter")
     (version "0.1.4")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "rand_jitter" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "16z387y46bfz3csc42zxbjq89vcr1axqacncvv8qhyy93p4xarhi"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "rand_jitter" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "16z387y46bfz3csc42zxbjq89vcr1axqacncvv8qhyy93p4xarhi"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -40656,13 +40858,13 @@ (define-public rust-rand-os-0.1
     (name "rust-rand-os")
     (version "0.1.3")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "rand_os" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "0wahppm0s64gkr2vmhcgwc0lij37in1lgfxg5rbgqlz0l5vgcxbv"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "rand_os" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "0wahppm0s64gkr2vmhcgwc0lij37in1lgfxg5rbgqlz0l5vgcxbv"))))
     (arguments
      `(#:cargo-inputs
        (("rust-cloudabi" ,rust-cloudabi-0.0)
@@ -40680,13 +40882,13 @@ (define-public rust-rand-pcg-0.3
     (name "rust-rand-pcg")
     (version "0.3.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "rand_pcg" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "1w47awndfhgcc31zbji66pwndqmc6lsyairqi9b17f82f19riqbx"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "rand_pcg" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "1w47awndfhgcc31zbji66pwndqmc6lsyairqi9b17f82f19riqbx"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -40707,13 +40909,13 @@ (define-public rust-rand-pcg-0.2
     (name "rust-rand-pcg")
     (version "0.2.1")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "rand_pcg" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "0ab4h6s6x3py833jk61lwadq83qd1c8bih2hgi6yps9rnv0x1aqn"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "rand_pcg" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "0ab4h6s6x3py833jk61lwadq83qd1c8bih2hgi6yps9rnv0x1aqn"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -40735,13 +40937,13 @@ (define-public rust-rand-pcg-0.1
     (name "rust-rand-pcg")
     (version "0.1.2")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "rand_pcg" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "0i0bdla18a8x4jn1w0fxsbs3jg7ajllz6azmch1zw33r06dv1ydb"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "rand_pcg" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "0i0bdla18a8x4jn1w0fxsbs3jg7ajllz6azmch1zw33r06dv1ydb"))))
     (arguments
      `(#:cargo-inputs
        (("rust-autocfg" ,rust-autocfg-0.1)
@@ -40803,13 +41005,13 @@ (define-public rust-rand-xorshift-0.1
     (name "rust-rand-xorshift")
     (version "0.1.1")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "rand_xorshift" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "0p2x8nr00hricpi2m6ca5vysiha7ybnghz79yqhhx6sl4gkfkxyb"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "rand_xorshift" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "0p2x8nr00hricpi2m6ca5vysiha7ybnghz79yqhhx6sl4gkfkxyb"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -40821,7 +41023,7 @@ (define-public rust-rand-xorshift-0.1
     (home-page "https://crates.io/crates/rand-xorshift")
     (synopsis "Xorshift random number generator")
     (description
-      "Xorshift random number generator")
+     "Xorshift random number generator")
     (license (list license:asl2.0
                    license:expat))))
 
@@ -41011,21 +41213,21 @@ (define-public rust-randomize-3
     (name "rust-randomize")
     (version "3.0.1")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "randomize" version))
-        (file-name
-          (string-append name "-" version ".tar.gz"))
-        (sha256
-          (base32
-            "02ll7r3rrpmhjx34w91m1yvqw1685bq2n9amqvycjcqznncqrhw8"))))
-    (arguments
-      `(#:skip-build? #t
-        #:cargo-inputs
-        (("rust-rand-core" ,rust-rand-core-0.5)
-         ("rust-serde" ,rust-serde-1))
-        #:cargo-development-inputs
-        (("rust-bincode" ,rust-bincode-1))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "randomize" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "02ll7r3rrpmhjx34w91m1yvqw1685bq2n9amqvycjcqznncqrhw8"))))
+    (arguments
+     `(#:skip-build? #t
+       #:cargo-inputs
+       (("rust-rand-core" ,rust-rand-core-0.5)
+        ("rust-serde" ,rust-serde-1))
+       #:cargo-development-inputs
+       (("rust-bincode" ,rust-bincode-1))))
     (license license:bsd-0)))
 
 (define-public rust-raw-cpuid-8
@@ -41065,13 +41267,13 @@ (define-public rust-rawpointer-0.2
     (name "rust-rawpointer")
     (version "0.2.1")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "rawpointer" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "1qy1qvj17yh957vhffnq6agq0brvylw27xgks171qrah75wmg8v0"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "rawpointer" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "1qy1qvj17yh957vhffnq6agq0brvylw27xgks171qrah75wmg8v0"))))
     (build-system cargo-build-system)
     (home-page "https://github.com/bluss/rawpointer/")
     (synopsis "Extra methods for raw pointers")
@@ -41087,13 +41289,13 @@ (define-public rust-rawpointer-0.1
     (name "rust-rawpointer")
     (version "0.1.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "rawpointer" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "06ghpm9y7gacks78s3maakha07kbnwrxif5q37r2l7z1sali3b7b"))))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "rawpointer" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "06ghpm9y7gacks78s3maakha07kbnwrxif5q37r2l7z1sali3b7b"))))))
 
 (define-public rust-rawslice-0.1
   (package
@@ -41169,12 +41371,12 @@ (define-public rust-rayon-0.8
      `(#:skip-build? #t
        #:cargo-inputs
        (("rust-rayon-core" ,rust-rayon-core-1))
-      #:cargo-development-inputs
-      (("rust-compiletest-rs" ,rust-compiletest-rs-0.2)
-       ("rust-docopt" ,rust-docopt-0.7)
-       ("rust-futures" ,rust-futures-0.1)
-       ("rust-rand" ,rust-rand-0.3)
-       ("rust-rustc-serialize" ,rust-rustc-serialize-0.3))))))
+       #:cargo-development-inputs
+       (("rust-compiletest-rs" ,rust-compiletest-rs-0.2)
+        ("rust-docopt" ,rust-docopt-0.7)
+        ("rust-futures" ,rust-futures-0.1)
+        ("rust-rand" ,rust-rand-0.3)
+        ("rust-rustc-serialize" ,rust-rustc-serialize-0.3))))))
 
 (define-public rust-rawkey-0.1
   (package
@@ -41238,14 +41440,14 @@ (define-public rust-rctree-0.3
     (name "rust-rctree")
     (version "0.3.3")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "rctree" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1a54z2b850albiqx9vw009p9xg363vqzh1ybkwb89zn8375jk7my"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "rctree" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1a54z2b850albiqx9vw009p9xg363vqzh1ybkwb89zn8375jk7my"))))
     (build-system cargo-build-system)
     (home-page "https://github.com/RazrFalcon/rctree")
     (synopsis "DOM-like tree implemented using reference counting")
@@ -41258,13 +41460,13 @@ (define-public rust-rdrand-0.4
     (name "rust-rdrand")
     (version "0.4.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "rdrand" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "1cjq0kwx1bk7jx3kzyciiish5gqsj7620dm43dc52sr8fzmm9037"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "rdrand" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "1cjq0kwx1bk7jx3kzyciiish5gqsj7620dm43dc52sr8fzmm9037"))))
     (build-system cargo-build-system)
     (arguments
      `(#:skip-build? #t
@@ -41282,22 +41484,22 @@ (define-public rust-read-color-1
     (name "rust-read-color")
     (version "1.0.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "read_color" version))
-        (file-name
-          (string-append name "-" version ".tar.gz"))
-        (sha256
-          (base32
-            "1np0pk31ak7hni4hri3m75mbf8py1wdfjshmrj5krbd4p9c8hk4z"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "read_color" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1np0pk31ak7hni4hri3m75mbf8py1wdfjshmrj5krbd4p9c8hk4z"))))
     (build-system cargo-build-system)
     (arguments `(#:skip-build? #t))
     (home-page
-      "https://github.com/pistondevelopers/read_color")
+     "https://github.com/pistondevelopers/read_color")
     (synopsis
-      "A simple library for reading hex colors")
+     "A simple library for reading hex colors")
     (description
-      "This package provides a simple library for reading hex colors")
+     "This package provides a simple library for reading hex colors")
     (license (list license:expat license:asl2.0))))
 
 (define-public rust-readkey-0.1
@@ -41325,14 +41527,14 @@ (define-public rust-recycler-0.1
     (name "rust-recycler")
     (version "0.1.4")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "recycler" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1yll0sqswy6afk9ik7r22djqafa3wfgvgdzqqh7jbczyiqr2gp4q"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "recycler" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1yll0sqswy6afk9ik7r22djqafa3wfgvgdzqqh7jbczyiqr2gp4q"))))
     (build-system cargo-build-system)
     (home-page "https://github.com/frankmcsherry/recycler")
     (synopsis "Rust library for recycling types containing owned memory")
@@ -41372,13 +41574,13 @@ (define-public rust-redox-syscall-0.1
     (name "rust-redox-syscall")
     (version "0.1.57")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "redox_syscall" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "1kh59fpwy33w9nwd5iyc283yglq8pf2s41hnhvl48iax9mz0zk21"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "redox_syscall" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "1kh59fpwy33w9nwd5iyc283yglq8pf2s41hnhvl48iax9mz0zk21"))))
     (arguments '(#:skip-build? #t))))
 
 (define-public rust-redox-termios-0.1
@@ -41386,13 +41588,13 @@ (define-public rust-redox-termios-0.1
     (name "rust-redox-termios")
     (version "0.1.1")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "redox-termios" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "0xhgvdh62mymgdl3jqrngl8hr4i8xwpnbsxnldq0l47993z1r2by"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "redox-termios" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "0xhgvdh62mymgdl3jqrngl8hr4i8xwpnbsxnldq0l47993z1r2by"))))
     (build-system cargo-build-system)
     (arguments
      `(#:skip-build? #t
@@ -41602,14 +41804,14 @@ (define-public rust-regex-0.2
     (name "rust-regex")
     (version "0.2.11")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "regex" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1163ir1k5zjspirfjl4wqbviwrxlhmfwy95xxb69y4irkv4snack"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "regex" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1163ir1k5zjspirfjl4wqbviwrxlhmfwy95xxb69y4irkv4snack"))))
     (build-system cargo-build-system)
     (arguments
      `(#:skip-build? #t
@@ -41711,14 +41913,14 @@ (define-public rust-regex-syntax-0.5
     (name "rust-regex-syntax")
     (version "0.5.6")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "regex-syntax" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "19zp25jr3dhmclg3qqjk3bh1yrn7bqi05zgr5v52szv3l97plw3x"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "regex-syntax" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "19zp25jr3dhmclg3qqjk3bh1yrn7bqi05zgr5v52szv3l97plw3x"))))
     (arguments
      `(#:skip-build? #t
        #:cargo-inputs
@@ -41730,14 +41932,14 @@ (define-public rust-regex-syntax-0.4
     (name "rust-regex-syntax")
     (version "0.4.2")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "regex-syntax" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "03p24bsfg2rw2cc5h8ri4fp7j06xwyyd5grlqy0g11ixp5c1r4wf"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "regex-syntax" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "03p24bsfg2rw2cc5h8ri4fp7j06xwyyd5grlqy0g11ixp5c1r4wf"))))
     (arguments
      `(#:cargo-development-inputs
        (("rust-quickcheck" ,rust-quickcheck-0.6)
@@ -41838,13 +42040,13 @@ (define-public rust-remove-dir-all-0.5
     (name "rust-remove-dir-all")
     (version "0.5.3")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "remove_dir_all" version))
-        (file-name (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1rzqbsgkmr053bxxl04vmvsd1njyz0nxvly97aip6aa2cmb15k9s"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "remove_dir_all" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1rzqbsgkmr053bxxl04vmvsd1njyz0nxvly97aip6aa2cmb15k9s"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -41887,20 +42089,20 @@ (define-public rust-reopen-0.3
     (name "rust-reopen")
     (version "0.3.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "reopen" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "12b3mfxkwb8akdfa701nzvqr6lsc6n84vrq088gmjy8lxlmr4an6"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "reopen" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "12b3mfxkwb8akdfa701nzvqr6lsc6n84vrq088gmjy8lxlmr4an6"))))
     (build-system cargo-build-system)
     (arguments
-      `(#:skip-build? #t
-        #:cargo-inputs
-        (("rust-signal-hook" ,rust-signal-hook-0.1)
-         ("rust-libc" ,rust-libc-0.2))))
+     `(#:skip-build? #t
+       #:cargo-inputs
+       (("rust-signal-hook" ,rust-signal-hook-0.1)
+        ("rust-libc" ,rust-libc-0.2))))
     (home-page "https://github.com/vorner/reopen")
     (synopsis "File reopening utility")
     (description "File reopening utility.")
@@ -42131,13 +42333,13 @@ (define-public rust-resolv-conf-0.6
     (name "rust-resolv-conf")
     (version "0.6.3")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "resolv-conf" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "0jlzifww1h7j23jnjj49xz8q0fpd9rqpd0ks8c4y651vgw9lx0qi"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "resolv-conf" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "0jlzifww1h7j23jnjj49xz8q0fpd9rqpd0ks8c4y651vgw9lx0qi"))))
     (arguments
      `(#:tests? #f  ; Not all test files included.
        #:cargo-inputs
@@ -42221,14 +42423,14 @@ (define-public rust-ring-0.14
     (name "rust-ring")
     (version "0.14.6")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "ring" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0g091akf4dpg9qj05z3gc4nlrs57mjj2bqab98gaqp79wf3c2ss2"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "ring" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0g091akf4dpg9qj05z3gc4nlrs57mjj2bqab98gaqp79wf3c2ss2"))))
     (arguments
      `(#:cargo-inputs
        (("rust-lazy-static" ,rust-lazy-static-1)
@@ -42677,32 +42879,32 @@ (define-public rust-rowan-0.13
     (name "rust-rowan")
     (version "0.13.0-pre.6")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "rowan" version))
-        (file-name
-          (string-append name "-" version ".tar.gz"))
-        (sha256
-          (base32
-            "03gh3wa52135mh1an1x4hw6jba64fwfsh4lw3fsmm6jy2i7c1k42"))))
-    (build-system cargo-build-system)
-    (arguments
-      `(#:skip-build? #t
-        #:cargo-inputs
-        (("rust-countme" ,rust-countme-2)
-         ("rust-hashbrown" ,rust-hashbrown-0.9)
-         ("rust-memoffset" ,rust-memoffset-0.6)
-         ("rust-rustc-hash" ,rust-rustc-hash-1)
-         ("rust-serde" ,rust-serde-1)
-         ("rust-text-size" ,rust-text-size-1))
-        #:cargo-development-inputs
-        (("rust-m-lexer" ,rust-m-lexer-0.0.4))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "rowan" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "03gh3wa52135mh1an1x4hw6jba64fwfsh4lw3fsmm6jy2i7c1k42"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:skip-build? #t
+       #:cargo-inputs
+       (("rust-countme" ,rust-countme-2)
+        ("rust-hashbrown" ,rust-hashbrown-0.9)
+        ("rust-memoffset" ,rust-memoffset-0.6)
+        ("rust-rustc-hash" ,rust-rustc-hash-1)
+        ("rust-serde" ,rust-serde-1)
+        ("rust-text-size" ,rust-text-size-1))
+       #:cargo-development-inputs
+       (("rust-m-lexer" ,rust-m-lexer-0.0.4))))
     (home-page
-      "https://github.com/rust-analyzer/rowan")
+     "https://github.com/rust-analyzer/rowan")
     (synopsis
-      "Library for generic lossless syntax trees")
+     "Library for generic lossless syntax trees")
     (description
-      "This package provides a library for generic lossless syntax trees.")
+     "This package provides a library for generic lossless syntax trees.")
     (license (list license:expat license:asl2.0))))
 
 (define-public rust-rspec-1
